on getBehaviorDescription me
  return "PLAY DONE" & RETURN & RETURN & "Use this behavior to end a sequence and to return the playback head to where the most recent 'Play' command was issued." & RETURN & RETURN & "If you drop it onto a graphic member, the 'play done' command is sent when the user clicks on the sprite (on mouseUp)." & RETURN & RETURN & "If you drop it onto the Stage or the Script Channel of the Score, it will be sent when the playback head leaves the frame (on exitFrame)." & RETURN & RETURN & "PARAMETERS: None" & RETURN & RETURN & "ASSOCIATED BEHAVIORS:" & RETURN & "+ Play Frame X" & RETURN & "+ Play Movie X"
end

on getBehaviorTooltip me
  return "Use with graphic members or as a frame behavior." & RETURN & RETURN & "Returns the playback head to the frame where the" & RETURN & "most recent 'play' command was issued.   Acts on" & RETURN & "mouseUp or on exitFrame, depending on whether" & RETURN & "you drag it to a sprite or to the Stage."
end

on mouseUp me
  play done
end

on exitFrame me
  if the currentSpriteNum = 0 then
    play done
  end if
end
